[Buildroot] [PATCH v1 1/2] gnutls: needs C++ support

Thomas Petazzoni thomas.petazzoni at bootlin.com
Thu Mar 22 13:51:50 UTC 2018


Hello,

On Thu, 22 Mar 2018 07:49:13 +0200, Baruch Siach wrote:

> On Wed, Mar 21, 2018 at 09:23:11PM +0100, Peter Seiderer wrote:
> > Fixes Bug 10846 ([1]):
> > 
> >   checking how to run the C++ preprocessor... cpp
> >   configure: error: in `.../build/gnutls-3.5.17':
> >   configure: error: C++ preprocessor "cpp" fails sanity check
> >   See `config.log' for more details
> > 
> > [1] https://bugs.busybox.net/show_bug.cgi?id=10846
> > 
> > Signed-off-by: Peter Seiderer <ps.report at gmx.net>  
> 
> This is strange. Do you have idea why the autobuilders didn't catch that?

We don't have any toolchain configuration in the autobuilders that has
wchar support enabled, but C++ support disabled.

We do have a configuration that is basic (no wchar, no C++), but since
gnutls already depends on wchar, it was never tested with this
toolchain.

Hence, this doesn't pop-up in the autobuilders.

Best regards,

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin (formerly Free Electrons)
Embedded Linux and Kernel engineering
https://bootlin.com



More information about the buildroot mailing list